Package org.apache.maven.scm.provider.starteam.repository

## Class StarteamScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.starteam.repository.StarteamScmProviderRepository

    public class StarteamScmProviderRepository
    extends ScmProviderRepositoryWithHost

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
`StarteamScmProviderRepository​(java.lang.String user, java.lang.String password, java.lang.String host, int port, java.lang.String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFullUrl()`
`java.lang.String` `getPath()`
`java.lang.String` `getUrl()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StarteamScmProviderRepository

    public StarteamScmProviderRepository​(java.lang.String user,
                                         java.lang.String password,
                                         java.lang.String host,
                                         int port,
                                         java.lang.String path)

### Method Detail

#### getUrl

    public java.lang.String getUrl()

#### getFullUrl

    public java.lang.String getFullUrl()

#### getPath

    public java.lang.String getPath()

Returns:
  Returns the path.